class Persons(object):
	Name=None
	Family=None
	Genger=None
	def __init__(self):
		super(Persons, self).__init__()	
	def setGender(self,gender):
		self.Genger=gender
	def getGender(self):
		print(self.Genger)	
	def PrintData(self):
		print('%s %s and i am a Person'%(self.Name,self.Family))

class Students(Persons):
	"""docstring for ClassName"""
	def __init__(self):
		pass
	def __str__(self):
		return('Student Class')	
	def PrintData(self):
		Persons.PrintData(self)
		print('%s %s and i am a Student'%(self.Name,self.Family))

oStudent=Students()
oStudent.Name='vahid'
oStudent.Family='Rezazadeh'
oStudent.setGender('Male')
#oStudent.PrintData()	
print(Students.__module__)	


		